﻿using System;
using System.Numerics;
using Ryuclaw.Shared.Audio;

namespace Ryuclaw.Audio.Desktop
{
    public abstract class AbstractAudioSource : IAudioSource
    {
        private Vector3 _position { get; set; }

        public AbstractAudioSource()
        {
        }

        public abstract void Play();

        public void SetPosition(Vector3 position)
        {
            _position = position;
        }

        public abstract void Stop();

        public void Update(float dt)
        {
            throw new NotImplementedException();
        }
    }
}

