﻿using System;
namespace Ryuclaw.Audio.Shared
{
    public class WaveHeader
    {
        public int SampleRate { get; private set; }
        public int ChunkSize { get; private set; }
        public int ByteRate { get; private set; }
        public short BitsPerSample { get; private set; }
        public short NumChannels { get; private set; }
        public short BlockAlign { get; private set; }

        public WaveHeader(int sampleRate = 48000, int chunkSize = 16, int byteRate = 16, short bitsPerSample = 16, short numChannels = 1, short blockAlign = 8)
        {
            SampleRate = sampleRate;
            ChunkSize = chunkSize;
            ByteRate = byteRate;
            BitsPerSample = bitsPerSample;
            NumChannels = numChannels;
            BlockAlign = blockAlign;
        }
    }
}

